var player;

$(document).ready(function(){
    player = new Player(1/24/5, {
        G: new Coor(0, 0),
        dt: 1/24,
        accuracy: 4
    }, {
        idEl: 'screen',
        borderSize: 4
    }, {
        btn: '#consoleBtn',
        log: '#consoleLog',
        inp: '#console'
    });
    
    $('#movePoint').click(function(){
    	$('.point').bind('click', (function(){
			var id = $(this).data('id');
			$('#screen').bind('click', (function(e){
				player.physics.Points[id].moveEase(new Coor(e));
    		}));
    		$('.point').unbind('click');
    	}));
    	$(this).addClass('hide');
    	$('#demovePoint').removeClass('hide');
    });
    
    $('#demovePoint').click(function(){
	    $('.point').unbind('click');
	    $('#screen').unbind('click');
	    $(this).addClass('hide');
    	$('#movePoint').removeClass('hide');
    });
    
    $('#getPoint').click('click', (function(){
    	$('.point').bind('click', (function(){
			player.warn('>ID: ' + $(this).data('id'));
			$('.point').unbind();
    	}));
    }));

    $('#stop').click(function(){
        var type = player.shifter();
        $('#controls').attr("type", type);
    });
    
    $('#stepMin').click(function(){
        player.nextStep(0);
    });
  
      $('#stepMid').click(function(){
        player.nextStep(50);
    });
  
      $('#stepMax').click(function(){
        player.nextStep(100);
    });
  
    $(document).keydown(function(e){
        e = e || window.event;
        if(e.which == 192)
        {
	        $('#controls').attr("type", player.shifter());
            e.preventDefault();
        }
    });
    
    $('#consoleOpen').click(function(){
        var el = $('#consoleWindow');
        var st = el.data('state');
        
        if (!!st)
        {
            el.data('state', false);
            el.attr('class', 'show');
            $(this).attr('class', 'active');
        }
        else
        {
            el.data('state', true);
            el.attr('class', 'hide');
            $(this).attr('class', 'notActive');
        }
    })
});