function CycleT0(t)
{
    var pos = t;
    var line = new Array();
    
    for (var i = 0; i < pos.length - 50; i += 50)
    {
        var avCoor = getAverage(pos.slice(i, i + 50));
        line.push(getCellT0(avCoor));
    }
    var per0 = getPeriod(line);
    
    player.parse('hideTable---showTable type 0');
    
    setTimeout(clbkCellT0, 500, line , 0, per0);


    return per0 * 50;
}

function CycleT1(t)
{
    var pos = t;
    var line = new Array();
    
    for (var i = 0; i < pos.length - 25; i += 25)
    {
        var avCoor = getAverage(pos.slice(i, i + 25));
        line.push(getCellT1(avCoor));
    }
    var per1 = getPeriod(line);
    
    player.parse('hideGrid---showGrid type 1');
    
    setTimeout(clbkCellT1, 500, line , 0, per1);


    return per1 * 25;
}

function CycleT2(t)
{
    var pos = t;
    var line = new Array();
    
    for (var i = 0; i < pos.length - 10; i += 10)
    {
        var avCoor = getAverage(pos.slice(i, i + 10));
        line.push(getCellT2(avCoor));
    }
    var per2 = getPeriod(line);
    
    player.parse('hideGrid---showGrid type 2');
    
    setTimeout(clbkCellT2, 500, line , 0, per2);


    return per2 * 10;
}

function clbkCell(ck, l, i, per)
{
    ck(l[i]);
    if (i < per)
        setTimeout(clbkCell.bind(null, ck), 500, l, i + 1, per);
}
var tt = new Array();
var trueP = 1000;
var radius = 300;
var cc = new Coor(450, 425);

for (var i = 0; i < trueP * 10; ++i)
{
    tt[i] = new Coor(cc.x - radius * Math.cos(2 * Math.PI * i / trueP), cc.y - radius * Math.sin(2 * Math.PI * i / trueP));
}

// 50 : (100:50) : 20:20
// 25 : (50:25)  : 40:40
// 10 : (20:10)  : 100:100

function getAverage(c)
{
    var ans = new Coor(0, 0);
    for (var i =0; i < c.length; ++i)
    {
        ans.x += c[i].x;
        ans.y += c[i].y;
    }
    
    ans.x /= c.length;
    ans.y /= c.length;
    
    return ans;
}

function return5()
{
    return 5;
}

function getCell(x, y, n, c)
{
    return Math.floor(c.x / x) + n * Math.floor(c.y / y);
}

var getCellT0 = getCell.bind(null, 100, 50, 20);
var getCellT1 = getCell.bind(null, 50, 25, 40);
var getCellT2 = getCell.bind(null, 20, 10, 100);
var setCellT0 = colorHTMLTableCell.bind(null, '100x50', 20);
var setCellT1 = colorHTMLTableCell.bind(null, '50x25', 40);
var setCellT2 = colorHTMLTableCell.bind(null, '20x10', 100);
var clbkCellT0 = clbkCell.bind(null, setCellT0);
var clbkCellT1 = clbkCell.bind(null, setCellT1);
var clbkCellT2 = clbkCell.bind(null, setCellT2);

function getPeriod(line)
{
    for (var i = 1; i < line.length / 2; ++i)
    {
        for (var j = 0; j < line.length - i; ++j)
        {
            var k = j;
            while (line[j] === line[k] && k < line.length)
            {
                k += i;
            }
            
            if (k >= line.length)
            {
                return i;
            }
            else
            {
                break;
            }
        }
    }
    
    return 0;
} 