function Wall(vectM, vectO)
{
    this.id = getId();
    this.type = 'wall';
    this.main_ = vectM;
    this.or_ = vectO;
    this.length_ = vectM.length;
    this.width_ = vectO.length * Math.sin(Math.acos(dot(vectM, vectO) / (vectM.length * vectO.length)));
    this.orient = sign(dot(vectM, vectO));
  	this.invmass = 0;
    
// log
    console.log('Create: '+ this.toString());
}

Wall.prototype.toString = function(type){
    if (type === 'full')
    {
        return JSON.stringify(this, [   
                                        'type',
                                        'id',
                                        'main_',
                                        'length_',
                                        'weight_',
                                        'orient',                                        
                                        'x',
                                        'y',
                                        'begin',
                                        'end'
                                ], 4)
    }
    else
    {
        return JSON.stringify(this, [   
                                        'type',
                                        'id',
                                        'main_',
                                        'length_',
                                        'orient',
                                        'x',
                                        'y',
                                        'begin',
                                        'end'
                                ], 4)
    }
}
 
