function Point(mass, radius, coorXY, oldCoorXY, isExpToPot)
{
  	this.mass = mass;
    this.invmass = 1 / mass;
    this.radius = radius;
    this.coor = coorXY;
    this.oldCoor = oldCoorXY || coorXY;
    this.id = getId();
    this.type = 'point';
    this.isExpToPot = isExpToPot || false;
    
// log
    console.log('Create: '+this.toString());
}


Point.prototype.checkCoor = function(){
    if (this.coor.isNaN())
    {
        console.error('Coor is NaN: ' + this);
        player.stop();
    }
    else
    {
        if (this.oldCoor.isNaN())
        {
            console.warning('OldCoor is NaN: ' + this);
            this.oldCoor = new Coor(this.coor);
        }
        else
        {
            return ;
        }
    }
}

Point.prototype.toString = function(type){
    if (type === 'full')
    {
        return JSON.stringify(this, [   
                                        'type',
                                        'id',
                                        'coor',
                                        'mass_',
                                        'radius_',
                                        'x',
                                        'y',
                                        'begin',
                                        'end'
                                ], 4)
    }
    else
    {
        return JSON.stringify(this, [   
                                        'type',
                                        'id',
                                        'coor',
                                        'x',
                                        'y',
                                        'begin',
                                        'end'
                                ], 4)
    }
}

Point.prototype.move = function(coorXY){
	var delta = minusCoor(this.coor, this.oldCoor);
    this.coor = coorXY;
    this.oldCoor = minusCoor(coorXY, delta);
// log
    console.log('Move: '+this.toString());
}

Point.prototype.moveEase = function(coorXY){
    this.coor = coorXY;
    this.oldCoor = coorXY;
// log
    console.log('Move: '+this.toString());
}
